> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/learn-netsuite/netsuite-deployment/prerequisite-syncs.md).

# Prerequisites

Before order sync can be setup, there are a set of data points that need to be configured to ensure an automated sync.

* [ ] SFTP Locations
* [ ] Shipping methods
* [ ] Payment methods
* [ ] Promo Codes
* [ ] NetSuite Facility Group

While most steps are not dependent on one another, SFTP locations must be setup first before syncing Promo Codes from NetSuite.

Include this System Property data before proceeding. Sync with NetSuite will not work if this data is not in the OMS.

```xml
<!- Data set specific to NetSuite specific configuration -->
<SystemProperty systemResourceId="FTP_CONFIG" systemPropertyId="ftp.server.archive.dir" systemPropertyValue="archive/">
<SystemProperty systemResourceId="FTP_CONFIG" systemPropertyId="instance.downloadDir" systemPropertyValue="runtime/datamanager/">
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hotwax.co/documents/learn-netsuite/netsuite-deployment/prerequisite-syncs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
